Bug 1964997 - Helm Library charts are showing and can be installed from Catalog
Summary: Helm Library charts are showing and can be installed from Catalog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: All
OS: All
medium
low
Target Milestone: ---
: 4.8.0
Assignee: David Peraza
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks: 1965526
TreeView+ depends on / blocked
 
Reported: 2021-05-26 13:57 UTC by David Peraza
Modified: 2021-07-27 23:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:10:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9035 0 None open Bug 1964997: Removing library charts from the merged helm repo index entries. 2021-05-27 08:48:34 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:10:40 UTC

Description David Peraza 2021-05-26 13:57:55 UTC
Description of problem:

Helm has two types of charts, one is application and the other is library charts. Library charts are not meant to be installed directly but rather are to be used as dependencies under the chart directory. Currently in OCP 4.7 and 4.8 I can install library charts and a release is created without any errors in the console. The expected behavior is to not be able to see the Library chart or at least get an error when trying to instal. This is consistent with the helm cli interface.

Version-Release number of selected component (if applicable):

OCP 4.7.12 and 4.8.0-0.nightly-2021-05-26-021757

How reproducible:

Every Time

Steps to Reproduce:
1. Add a repo that has library charts for example: http://docs.wildfly.org/wildfly-charts/
2. From dev console select helm under catalog
3. Select the repo just added
4. Click install

Actual results:

Library chart install creates a release.

Expected results:

Install should trigger an error like in helm cli. Preferably should not even show the library chart in the catalog. 


Additional info:

This bug was first reported under https://bugzilla.redhat.com/show_bug.cgi?id=1933101. But need to add here to separate the two issues described in Bug 1933101

Comment 3 David Peraza 2021-06-07 19:01:43 UTC
@igreen we could cherry pick to 4.6 if there is demand on this. Looks like we should if at least one customer will benefit.

Comment 5 Debsmita Santra 2021-06-09 15:19:11 UTC
Added library chart `http://docs.wildfly.org/wildfly-charts/` . Could see the `Wildfly v1.3.0` in the dev catalog. Could successfully install & upgrade the helm chart
verified on build 4.8.0-0.nightly-2021-06-09-023740

Comment 9 errata-xmlrpc 2021-07-27 23:10:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.